Skip to main content
GET
/
v1
/
links
/
{link_id}
/
employment
/
report
Retrieve an employment history report for a link
curl --request GET \
  --url https://prod.truv.com/v1/links/{link_id}/employment/report/ \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>'
{
  "id": "24d7e80942ce4ad58a93f70ce4115f5c",
  "status": "new",
  "finished_at": "2021-04-06T11:30:00.000Z",
  "completed_at": "2021-04-06T11:30:00.000Z",
  "access_token": "48427a36d43c4d5aa6324bc06c692456",
  "tracking_info": "user123456",
  "employments": [
    {
      "id": "24d7e80942ce4ad58a93f70ce4115f5c",
      "profile": {
        "first_name": "John",
        "last_name": "Doe",
        "home_address": {
          "street": "1 Morgan Ave",
          "city": "Los Angeles",
          "state": "CA",
          "zip": "90210",
          "country": "US"
        },
        "id": "48427a36d43c4d5aa6324bc06c692456",
        "created_at": "2022-06-07T15:00:00.000Z",
        "updated_at": "2022-06-30T15:00:00.000Z",
        "full_name": "John Doe",
        "middle_initials": "K",
        "email": "john.doe@example.com",
        "ssn": "123456789",
        "date_of_birth": "1992-03-03T00:00:00.000Z"
      },
      "company": {
        "name": "Facebook Demo",
        "address": {
          "street": "1 Morgan Ave",
          "city": "Los Angeles",
          "state": "CA",
          "zip": "90210",
          "country": "US"
        },
        "phone": "6503087300",
        "ein": "12-345678"
      },
      "is_active": false,
      "job_title": "PR associate",
      "job_type": "F",
      "start_date": "2018-01-01T00:00:00.000Z",
      "original_hire_date": "2017-06-21T00:00:00.000Z",
      "end_date": "2023-12-25",
      "external_last_updated": "2023-12-25",
      "dates_from_statements": false,
      "derived_fields": [
        "is_active"
      ],
      "missing_data_fields": [
        "w2s"
      ],
      "manager_name": "Jenny McDouglas"
    }
  ],
  "provider": "adp",
  "is_suspicious": true,
  "pdf_report": "https://cdn.truv.com/report.pdf",
  "data_source": "payroll"
}

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

Response

Data for the employment verification

id
string
required

Unique ID

Example:

"24d7e80942ce4ad58a93f70ce4115f5c"

status
string
required
Example:

"new"

finished_at
string
required

Time when report was finished

Example:

"2021-04-06T11:30:00.000Z"

completed_at
string
required

Time when report was completed (Deprecated, invalid datetime format)

Example:

"2021-04-06T11:30:00.000Z"

access_token
string
required

Access token for a Link to payroll provider

Example:

"48427a36d43c4d5aa6324bc06c692456"

tracking_info
string | null
required

Any information passed to the Truv Bridge from a partner

Example:

"user123456"

employments
object[]
required
read-only

List of employments received from a payroll provider

provider
string
required

Payroll provider name

Example:

"adp"

is_suspicious
boolean

Flag to indicate if the data from the source is suspicious. E.g. fraud detected in uploaded documents or SSN of the user does not match with the data

pdf_report
string<uri>

Verification report in PDF format

Example:

"https://cdn.truv.com/report.pdf"

data_source
enum<string>

Source of data: crawler - payroll provider parsing, docs - user uploaded documents

Available options:
payroll,
docs,
financial_accounts
Example:

"payroll"